package it.unibs.arnaldo.rovineperdute;

public class RovinaPerduta {
    private final Coordinata coordinata;
    private final String nome;
    private final int id;

    public RovinaPerduta(Coordinata coordinata, String nome, int id) {
        this.coordinata = coordinata;
        this.nome = nome;
        this.id = id;
    }

    public Coordinata getCoordinata() {
        return coordinata;
    }

    public String getNome() {
        return nome;
    }

    public int getId(){
        return id;
    }

    @Override
    public String toString() {
        return nome + " (" + coordinata.getX() + ", " + coordinata.getY() + ", " + coordinata.getAltezza() + ")";
    }
}
