package it.unibs.arnaldo.rovineperdute;

public class RovinaPerdutaGrafo extends RovinaPerduta{
    private final double distanza;

    public RovinaPerdutaGrafo(Coordinata coordinata, String nome, int id, double distanza) {
        super(coordinata, nome, id);
        this.distanza = distanza;
    }

    public double getDistanza() {
        return distanza;
    }

    @Override
    public String toString(){
        return getNome() + " (" + getCoordinata().getX() + ", " + getCoordinata().getY() + ", " + getCoordinata().getAltezza() + ") Distanza: " + distanza;
    }
}
